#ifndef TANK_ANGLE_H
#define TANK_ANGLE_H

#define LIFT_LIMIT 160
#define MIDDLE_LIMIT 180
#define RIGHT_LIMIT 200

#define ANGLE_LIMIT_INDEX 1 //是否开启角度限制

double tank_angle();

int angle_limit();

void settank_angle(double angle);

float low_pass_filter_360(float prev_angle, float new_angle, float alpha);

void set_tank_angle_count();//计时

void set_tank_angle_count_clear();//计时清零

int get_tank_angle_count();//获取计时

// //角度滤波
// double en_filter_update(double new_angle);

// //上次角度滤波
// double return_en_filter_last_angle();
#endif